Bug 1412541 - [abrt] pgadmin3: PQclear(): pgadmin3 killed by SIGSEGV
Summary: [abrt] pgadmin3: PQclear(): pgadmin3 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pgadmin3
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Devrim Gündüz
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c8bba60d14c323f959e4d1cf152...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 09:12 UTC by cube00
Modified: 2017-12-12 10:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:07:05 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (101.56 KB, text/plain)
2017-01-12 09:12 UTC, cube00
no flags Details
File: cgroup (148 bytes, text/plain)
2017-01-12 09:12 UTC, cube00
no flags Details
File: core_backtrace (3.99 KB, text/plain)
2017-01-12 09:12 UTC, cube00
no flags Details
File: dso_list (13.04 KB, text/plain)
2017-01-12 09:12 UTC, cube00
no flags Details
File: environ (1.01 KB, text/plain)
2017-01-12 09:12 UTC, cube00
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-12 09:12 UTC, cube00
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-12 09:12 UTC, cube00
no flags Details
File: maps (63.59 KB, text/plain)
2017-01-12 09:12 UTC, cube00
no flags Details
File: mountinfo (4.07 KB, text/plain)
2017-01-12 09:12 UTC, cube00
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-12 09:12 UTC, cube00
no flags Details
File: open_fds (959 bytes, text/plain)
2017-01-12 09:12 UTC, cube00
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-01-12 09:12 UTC, cube00
no flags Details
File: var_log_messages (293 bytes, text/plain)
2017-01-12 09:12 UTC, cube00
no flags Details

Description cube00 2017-01-12 09:12:03 UTC
Description of problem:
Ran select * from a large table.

Version-Release number of selected component:
pgadmin3-1.22.1-3.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/pgadmin3
crash_function: PQclear
executable:     /usr/bin/pgadmin3
global_pid:     997
kernel:         4.8.15-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 PQclear at fe-exec.c:678
 #3 pqClearAsyncResult at fe-exec.c:707
 #4 pqSaveErrorResult at fe-exec.c:737
 #5 handleSyncLoss at fe-protocol3.c:457
 #6 pqParseInput3 at fe-protocol3.c:99
 #7 parseInput at fe-exec.c:1665
 #8 PQisBusy at fe-exec.c:1682
 #9 pgQueryThread::Execute at db/pgQueryThread.cpp:417
 #10 pgQueryThread::Entry at db/pgQueryThread.cpp:721
 #11 wxThreadInternal::PthreadStart at src/unix/threadpsx.cpp:766

Comment 1 cube00 2017-01-12 09:12:09 UTC
Created attachment 1239818 [details]
File: backtrace

Comment 2 cube00 2017-01-12 09:12:11 UTC
Created attachment 1239819 [details]
File: cgroup

Comment 3 cube00 2017-01-12 09:12:12 UTC
Created attachment 1239820 [details]
File: core_backtrace

Comment 4 cube00 2017-01-12 09:12:14 UTC
Created attachment 1239821 [details]
File: dso_list

Comment 5 cube00 2017-01-12 09:12:15 UTC
Created attachment 1239822 [details]
File: environ

Comment 6 cube00 2017-01-12 09:12:16 UTC
Created attachment 1239823 [details]
File: exploitable

Comment 7 cube00 2017-01-12 09:12:18 UTC
Created attachment 1239824 [details]
File: limits

Comment 8 cube00 2017-01-12 09:12:20 UTC
Created attachment 1239825 [details]
File: maps

Comment 9 cube00 2017-01-12 09:12:22 UTC
Created attachment 1239826 [details]
File: mountinfo

Comment 10 cube00 2017-01-12 09:12:23 UTC
Created attachment 1239827 [details]
File: namespaces

Comment 11 cube00 2017-01-12 09:12:24 UTC
Created attachment 1239828 [details]
File: open_fds

Comment 12 cube00 2017-01-12 09:12:25 UTC
Created attachment 1239829 [details]
File: proc_pid_status

Comment 13 cube00 2017-01-12 09:12:27 UTC
Created attachment 1239830 [details]
File: var_log_messages

Comment 14 Stuart D Gathman 2017-01-12 14:13:10 UTC
"Large" as in a large number of columns?  Or a large number of rows returned?

Comment 15 cube00 2017-06-27 14:16:56 UTC
Large number of rows.

Comment 16 Fedora End Of Life 2017-11-16 15:14:28 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2017-12-12 10:07:05 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.